Bug 98876 - [maintainer-update] comms/gammu: update to new release version 1.07.00
Summary: [maintainer-update] comms/gammu: update to new release version 1.07.00
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-12 22:50 UTC by Boris B.Samorodov
Modified: 2006-06-12 23:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boris B.Samorodov 2006-06-12 22:50:15 UTC
	The new release 1.07.00 of comms/gammu is out. Changes since 1.06.00:

	20060611 - 1.07.00
	    SMSD & MYSQL:
	[-] * reports work OK now (they were wrong after updating all 00000000000000
	      to 0000-00-00 00:00:00 in DB)
	[-] * you can use " in outgoing sms too
	[-] * fix for multipart sms
	[+] * added new CreatorID entry in DB for outbox/sentsms
	    Series 40 3.0 (N6111 now)
	[+] * added: filesystem support, getting call lengths from call logs,
	      getting sent SMS log ("Message recipients" from "Log" in phone menu,
	      new memory SL in Gammu)
	[!] * checked: calendar, notes, todo (generally OK)
	[!] * SMS memory (decoding SMS files from filesystem) not supported yet

	20060605 - 1.06.30
	[!] In 6230i 3.70 after saving to "Outbox" (from PC) SMS is not visible in
	    phone menu, PC side and use phone memory place. We added protection
	    against it and saving to 0x1A folder is no more possible. Bug can exist
	    in other new Nokias too.
	[!] SMS with "simple quote" can stop SMSD. For now fix for    (Julien Lirochon)
	    Inbox
	[+] support for ICS files (Mozilla calendar)                           (Markus)
	[+] Series 60 1st and 2nd edition:
	    * calendar (getting) - support for start/end/alarm time, recurrance,
	      texts, no support for synchronisation parameter
	    * todo (getting) - support for text, priority, no support for due date
	      and done/not done
	    * sms - support for getting sms status, getting and sending non working
	      (this is issue reported by gnapplet users working with other than
	      Gammu projects too)
	    * there is checked gnapplet version during Gammu communication startup
	[*] gnapplet source synchronised with sis file (0.6.12)
	[-] fixed configure error with bluegnapbus (1.06.15 bug)        (Gabor Z. Papp)
	[-] fix for --deletesms and folder handling
	[-] changes in debug system                               (Radoslaw Stachowiak)

	20060521 - 1.06.15
	[+] new -smsname for --savesms
	[+] partial support for decoding EMS text formatting
	[+] 6170/7270 ID                                                      (unknown)
	[+] Series 60 1 and 2 devices:
	    * added compiled gnapplet 0.6.12 (and source 0.6.2)
	    * new connection "bluerfgnapbus"/model "gnap" (stable) and new
	      connection "irdagnapbus"/model "gnap" (experimental) for communication
	    * implemented:
	          * identification
		 * getting phone time
		 * getting SMSC (partially)
		 * getting SMS folders
	[+] added makefile for MSVC6 for making static library           (Michal Cihar)
	[*] displaying warning, when you use save SMS on SIM with name
	[*] after saving sms you have info about used memory (phone/sim)
	[*] some optimalizations with saving SMS
	[-] * iswspace might return also other values than 0/1,          (Michal Cihar)
	      myiswspace fixed to return true or false in all cases
	[-] * removed useless conversion in Unicode functions

	20060511 - 1.06.05
	[+] 6510 - saving sms_submit with report possible                (Michal Cihar)
	[+] Started work on ICS support                                        (Markus)
	[-] DKU2 and 6820 serial device fix                             (Tony McGregor)
	[-] * "gammu --help c" showed help                               (Michal Cihar)
	    * some structures better initialized
	    * fixed wrong year for call logs with some 6510 phones

Fix: 

WBR
-- 
bsam--nmBoPIWizAmyFK0nKln48lvtp31oSKQuKIakMbxqemgiw4MU
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/comms/gammu/Makefile,v
retrieving revision 1.21
diff -u -r1.21 Makefile
--- Makefile	12 May 2006 10:25:58 -0000	1.21
+++ Makefile	12 Jun 2006 21:35:04 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	gammu
-PORTVERSION=	1.06.00
+PORTVERSION=	1.07.00
 CATEGORIES=	comms
 MASTER_SITES=	http://www.mwiacek.com/zips/gsm/gammu/stable/1_0x/ \
 		http://cihar.com/gammu/zips/gammu/stable/1_0x/
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/comms/gammu/distinfo,v
retrieving revision 1.13
diff -u -r1.13 distinfo
--- distinfo	12 May 2006 10:25:58 -0000	1.13
+++ distinfo	12 Jun 2006 21:35:04 -0000
@@ -1,3 +1,3 @@
-MD5 (gammu-1.06.00.tar.gz) = bc96e1851fecf5795048ce657c8bd67b
-SHA256 (gammu-1.06.00.tar.gz) = b922563007de16a301874023aa47ae36605d91394bb00877e0ecbf579f92617b
-SIZE (gammu-1.06.00.tar.gz) = 1014476
+MD5 (gammu-1.07.00.tar.gz) = b706e35a6f003acc47f8c2bb71fa8036
+SHA256 (gammu-1.07.00.tar.gz) = d1acd0fd5b7bd81baf41d99af1a0bb5a276332b1fc88c5262389ca16ff9b4a03
+SIZE (gammu-1.07.00.tar.gz) = 1081816
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/comms/gammu/pkg-plist,v
retrieving revision 1.9
diff -u -r1.9 pkg-plist
--- pkg-plist	20 Apr 2006 06:25:22 -0000	1.9
+++ pkg-plist	12 Jun 2006 21:35:04 -0000
@@ -51,7 +51,7 @@
 include/gammu/phone/nokia/dct4tiku/6510/n6510.h
 include/gammu/phone/nokia/wd2/n3650.h
 include/gammu/phone/obex/obexgen.h
-include/gammu/phone/symbian/mroutgen.h
+include/gammu/phone/symbian/gnapgen.h
 include/gammu/protocol/protocol.h
 include/gammu/protocol/alcatel/alcabus.h
 include/gammu/protocol/at/at.h
@@ -59,7 +59,7 @@
 include/gammu/protocol/nokia/mbus2.h
 include/gammu/protocol/nokia/phonet.h
 include/gammu/protocol/obex/obex.h
-include/gammu/protocol/symbian/mrouter.h
+include/gammu/protocol/symbian/gnapbus.h
 include/gammu/service/gsmcal.h
 include/gammu/service/gsmcall.h
 include/gammu/service/gsmdata.h
Comment 1 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-06-12 23:13:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-06-12 23:20:22 UTC
State Changed
From-To: open->closed

Committed. Thanks!